# Wireless Development Suite .h file to Rust

This is a simple program which takes a header file from WDS and converts it for use with [rf4463](https://gitlab.scd31.com/stephen/rf4463-lib), a Rust library for interfacing with the si4463 transceiver chip.

A lot of this info comes from [here](https://blog.zakkemble.net/si4463-radio-library-avr-arduino/). Thanks!

## Usage

Expects a header file named `radio_config_Si4463.h`, which is generated by WDS. Cleanup of this file is required:


* Remove any `#include` lines (usually just 1 around line 41)
* In `RF_POWER_UP` define change the second value from 0x81 to 0x01 (normal power up without any patch stuff)
* In `RF_GLOBAL_CONFIG_1` define change the 5th value (GLOBAL_CONFIG) from 0x20 to 0x30 (puts the FIFO into single 129 byte mode)
* In `RF_PKT_RX_THRESHOLD_12` define change the 6th from last value (PKT_FIELD_2_LENGTH_7_0) from 0x3F to 0x80 (sets max packet length to 128)
* Remove the `SI446X_PATCH_CMDS` and `RF_GLOBAL_CONFIG_1_1` lines from the `RADIO_CONFIGURATION_DATA_ARRAY` define

Run `make && ./a.out` and paste the output into your array in Rust.

Enjoy!
